package domain


type AlibabaRetailMarketingItemdiscountActivityUpdateLimitDto struct {
    /*
        活动总限购     */
    TotalLimitCnt  *int64 `json:"total_limit_cnt,omitempty" `

    /*
        活动每日限购     */
    DailyTotalLimitCnt  *int64 `json:"daily_total_limit_cnt,omitempty" `

    /*
        用户总限购     */
    UserTotalLimitCnt  *int64 `json:"user_total_limit_cnt,omitempty" `

    /*
        用户每日限购     */
    UserDailyLimitCnt  *int64 `json:"user_daily_limit_cnt,omitempty" `

}

func (s *AlibabaRetailMarketingItemdiscountActivityUpdateLimitDto) SetTotalLimitCnt(v int64) *AlibabaRetailMarketingItemdiscountActivityUpdateLimitDto {
    s.TotalLimitCnt = &v
    return s
}
func (s *AlibabaRetailMarketingItemdiscountActivityUpdateLimitDto) SetDailyTotalLimitCnt(v int64) *AlibabaRetailMarketingItemdiscountActivityUpdateLimitDto {
    s.DailyTotalLimitCnt = &v
    return s
}
func (s *AlibabaRetailMarketingItemdiscountActivityUpdateLimitDto) SetUserTotalLimitCnt(v int64) *AlibabaRetailMarketingItemdiscountActivityUpdateLimitDto {
    s.UserTotalLimitCnt = &v
    return s
}
func (s *AlibabaRetailMarketingItemdiscountActivityUpdateLimitDto) SetUserDailyLimitCnt(v int64) *AlibabaRetailMarketingItemdiscountActivityUpdateLimitDto {
    s.UserDailyLimitCnt = &v
    return s
}
